.button--action,
.button--knock {
  background: #111;
  color: #fff;
  border: none;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 18px;
  padding: 15px;
  width: 190px;
  cursor: pointer;
  -webkit-transition: -webkit-transform 0.2s;
  transition: -webkit-transform 0.2s;
  -moz-transition: transform 0.2s, -moz-transform 0.2s;
  transition: transform 0.2s;
  transition: transform 0.2s, -webkit-transform 0.2s, -moz-transform 0.2s;
  -webkit-box-shadow: 0 0 2px rgba(0, 0, 0, 0.4);
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.4);
  z-index: 10000;
  height: 50px;
}

.button--action.statistics.button--small {
  right: 150px;
}

.button--small {
  width: 120px;
  font-size: 14px;
}

.button--action,
.button--knock {
  position: absolute;
  bottom: 10px;
  right: 10px;
  -webkit-transform: translate3d(0, 130%, 0);
  -moz-transform: translate3d(0, 130%, 0);
  transform: translate3d(0, 130%, 0);
}

.button--action.second-action {
  -webkit-box-shadow: 0 0 2px transparent;
  box-shadow: 0 0 2px transparent;
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  z-index: 8000;
}

.button--action.second-action.show {
  -webkit-transform: translate3d(0, -60px, 0);
  -moz-transform: translate3d(0, -60px, 0);
  transform: translate3d(0, -60px, 0);
  -webkit-box-shadow: 0 0 2px rgba(0, 0, 0, 0.4);
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.4);
}

.button--action.statistics {
  right: 220px;
}

.button--action.show,
.button--knock.show {
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.scroll-content .button-menutoggle {
  position: absolute;
  display: inline-block;
  width: auto;
  font-size: 30px;
  padding: 0 10px;
  height: auto;
  z-index: 1000;
  background: 0 0;
  -webkit-box-shadow: none;
  box-shadow: none;
}

.scroll-content .button-menutoggle .button-inner {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -moz-box-orient: vertical;
  -moz-box-direction: normal;
  flex-direction: column;
}

.scroll-content .button-menutoggle .menu-icon-text {
  font-size: 16px;
}

.scroll-content .button-menutoggle:hover {
  background: 0 0 !important;
}

@media screen and (max-width: 459px) {
  .button--action.statistics {
    right: 0;
    bottom: 10px;
  }

  .statistics.show {
    bottom: 58px;
  }

  .button--action {
    width: 70px;
    font-size: 10px;
    right: 0;
    height: 40px;
    padding: 0;
  }
}

.toast {
  font-family: Helvetica, Arial, sans-serif;
  width: 100%;
  max-width: 500px;
  background: #000;
  color: #fff;
  text-align: center;
  position: absolute;
  padding: 15px;
  pointer-events: none;
  -webkit-box-shadow: 0 0 20px rgba(0, 0, 0, 0.6);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.6);
  font-size: 20px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  bottom: 36%;
  opacity: 0;
  -webkit-transition: opacity 0.2s ease-in-out;
  -moz-transition: opacity 0.2s ease-in-out;
  transition: opacity 0.2s ease-in-out;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  z-index: 2000;
}

.toast.show {
  opacity: 0.8;
}

@media screen and (min-width: 500px) {
  .toast {
    left: 50%;
    margin-left: -250px;
  }
}

ion-menu ion-label {
  padding-left: 40px;
  background-position: 10px center;
  background-repeat: no-repeat;
}

ion-menu .new-game ion-label {
  background-image: url(../assets/images/buttons/menu/new_game.png);
}

ion-menu .score ion-label {
  background-image: url(../assets/images/buttons/menu/statistics.png);
}

ion-menu .appearance ion-label {
  background-image: url(../assets/images/buttons/menu/appearance.png);
}

ion-menu .options ion-label {
  background-image: url(../assets/images/buttons/menu/options.png);
}

ion-menu .players ion-label {
  background-image: url(../assets/images/buttons/menu/players.png);
}

ion-menu .help ion-label {
  background-image: url(../assets/images/buttons/menu/help.png);
}

ion-menu .buy ion-label {
  background-image: url(../assets/images/buttons/menu/buy.png);
}

ion-menu .activate ion-label {
  background-image: url(../assets/images/buttons/menu/activate.png);
}

ion-menu .about ion-label {
  background-image: url(../assets/images/buttons/menu/about.png);
}

.poker-card {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 146px;
  height: 198px;
  -moz-border-radius: 10px;
  border-radius: 10px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-transform: rotate(0);
  -moz-transform: rotate(0);
  -ms-transform: rotate(0);
  transform: rotate(0);
  -webkit-transition: -webkit-transform 0.5s;
  transition: -webkit-transform 0.5s;
  -moz-transition: transform 0.5s, -moz-transform 0.5s;
  transition: transform 0.5s;
  transition: transform 0.5s, -webkit-transform 0.5s, -moz-transform 0.5s;
}

.poker-card.tint:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.6);
  -webkit-transform: rotateY(180deg);
  -moz-transform: rotateY(180deg);
  transform: rotateY(180deg);
  -moz-border-radius: 10px;
  border-radius: 10px;
}

.poker-card.meld:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 5%;
  opacity: 0.8;
  -webkit-transform: rotateY(180deg);
  -moz-transform: rotateY(180deg);
  transform: rotateY(180deg);
  -moz-border-radius: 10px 10px 0 0;
  border-radius: 10px 10px 0 0;
  z-index: 1000;
}

.poker-card.meld[data-meld="0"]:before {
  background: #2196f3;
}

.poker-card.meld[data-meld="1"]:before {
  background: #e91e63;
}

.poker-card.meld[data-meld="2"]:before {
  background: #4caf50;
}

.poker-card.humanplayer.hover:not(.moving) {
  -webkit-box-shadow: 0 0 20px 5px #83e3f7;
  box-shadow: 0 0 20px 5px #83e3f7;
}

.poker-card .back {
  pointer-events: none;
}

.poker-card .back,
.poker-card .front {
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  backface-visibility: hidden;
  position: absolute;
  display: block;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  -moz-border-radius: 6px;
  border-radius: 6px;
  overflow: hidden;
}

.poker-card > .front {
  -webkit-transform: rotateY(180deg);
  -moz-transform: rotateY(180deg);
  transform: rotateY(180deg);
}

.poker-card > .back {
  -webkit-transform: rotateY(0);
  -moz-transform: rotateY(0);
  transform: rotateY(0);
}

.player-info {
  top: 50%;
  left: 50%;
  display: inline-block;
  text-align: center;
  position: absolute;
  z-index: 1000;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  transition: all 0.5s;
  height: 100px;
  width: 120px;
  margin-left: -60px;
  margin-top: -50px;
  background: rgba(0, 0, 0, 0);
}

.player-info--avatar {
  width: 75px;
  -webkit-filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.8));
  filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.8));
  cursor: pointer;
  margin-bottom: 4px;
}

.player-info--footer {
  font-weight: 700;
  color: #fff;
  font-size: 1.1em;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.8);
  padding-bottom: 2px;
}

.player-info--score {
  font-size: 0.8em;
}

.player-info.game-end {
  width: 150px;
  height: auto;
  min-height: 150px;
  padding-top: 25px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  -webkit-box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.3);
  box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.3);
  -webkit-transform: translate3d(-50%, -50%, 0) !important;
  -moz-transform: translate3d(-50%, -50%, 0) !important;
  transform: translate3d(-50%, -50%, 0) !important;
  top: 53%;
  left: 50%;
}

.player-info.game-end.place-1 {
  margin-left: -100px;
  background: #652723;
}

.player-info.game-end.place-2 {
  margin-left: 100px;
  background: #a9a945;
  z-index: 1001;
}

.player-info .deadwood {
  -webkit-transform: translate(0, 0);
  -moz-transform: translate(0, 0);
  -ms-transform: translate(0, 0);
  transform: translate(0, 0);
  display: inline-block;
}

.player-info.animate-score.place-2 .deadwood {
  -webkit-transition: -webkit-transform 0.7s;
  transition: -webkit-transform 0.7s;
  -moz-transition: transform 0.7s, -moz-transform 0.7s;
  transition: transform 0.7s;
  transition: transform 0.7s, -webkit-transform 0.7s, -moz-transform 0.7s;
  -webkit-transform: translate3d(-240px, 0, 0);
  -moz-transform: translate3d(-240px, 0, 0);
  transform: translate3d(-240px, 0, 0);
}

.player-info.animate-score.place-1 .deadwood {
  -webkit-transition: -webkit-transform 0.4s 0.3s;
  transition: -webkit-transform 0.4s 0.3s;
  -moz-transition: transform 0.4s 0.3s, -moz-transform 0.4s 0.3s;
  transition: transform 0.4s 0.3s;
  transition: transform 0.4s 0.3s, -webkit-transform 0.4s 0.3s,
    -moz-transform 0.4s 0.3s;
  -webkit-transform: translate3d(1px, 0, 0);
  -moz-transform: translate3d(1px, 0, 0);
  transform: translate3d(1px, 0, 0);
}

.player-info.place-1 .deadwood:before {
  content: "-";
  opacity: 0;
  position: absolute;
  right: 100%;
  display: inline-block;
  width: 20px;
  text-align: center;
}

.player-info.place-1 .deadwood:after {
  content: "=";
  opacity: 0;
  position: absolute;
  left: 100%;
  width: 20px;
  display: inline-block;
  text-align: center;
}

.player-info.animate-score.place-1 .deadwood:before {
  -webkit-transition: opacity 0.2s 0.6s;
  -moz-transition: opacity 0.2s 0.6s;
  transition: opacity 0.2s 0.6s;
  opacity: 1;
}

.player-info.animate-score.place-1 .deadwood:after {
  -webkit-transition: opacity 0.2s 0.6s;
  -moz-transition: opacity 0.2s 0.6s;
  transition: opacity 0.2s 0.6s;
  opacity: 1;
}

.player-info.animate-score.place-1 .points {
  -webkit-transition: opacity 0.2s 0.6s;
  -moz-transition: opacity 0.2s 0.6s;
  transition: opacity 0.2s 0.6s;
  -webkit-transform: translateX(20px);
  -moz-transform: translateX(20px);
  -ms-transform: translateX(20px);
  transform: translateX(20px);
  opacity: 1;
}

.player-info .score-calc {
  position: relative;
  font-size: 1.3em;
}

.player-info.game-end .deadwood-label,
.player-info.game-end .score-calc {
  opacity: 1;
}

.player-info .deadwood-label,
.player-info .score-calc {
  opacity: 0;
}

.player-info .points {
  position: absolute;
  top: 0;
  width: 30px;
  opacity: 0;
  display: inline-block;
}

.player-info .player-info--bonus {
  background: rgba(0, 0, 0, 0.5);
  color: #fff;
  font-size: 1.2em;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.8);
  padding: 3px;
  display: inline-block;
  -webkit-transform: scaleY(0);
  -moz-transform: scaleY(0);
  -ms-transform: scaleY(0);
  transform: scaleY(0);
  -webkit-transform-origin: top;
  -moz-transform-origin: top;
  -ms-transform-origin: top;
  transform-origin: top;
  opacity: 0;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  transition: all 0.3s;
  position: absolute;
  top: 100%;
  left: 10px;
  width: 130px;
  -moz-border-radius: 0 0 4px 4px;
  border-radius: 0 0 4px 4px;
  -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.5);
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.5);
}

.player-info--wrapper {
  display: inline-block;
  width: 100%;
}

.player-info.animate-bonus.place-1 .player-info--bonus,
.player-info.animate-bonus.place-2 .player-info--bonus {
  -webkit-transform: scaleY(1);
  -moz-transform: scaleY(1);
  -ms-transform: scaleY(1);
  transform: scaleY(1);
  opacity: 1;
}

.message-bubble {
  display: block;
  padding: 10px;
  min-width: 100px;
  position: absolute;
  background: rgba(0, 0, 0, 0.5);
  left: 60%;
  -moz-border-radius: 4px;
  border-radius: 4px;
  display: none;
  color: #fff;
}

.message-bubble {
  margin-left: 30px;
}

.message-bubble.show {
  display: block;
}

.message-bubble:before {
  content: "";
  border: 8px solid rgba(0, 0, 0, 0.5);
  border-bottom-color: transparent;
  border-left-color: transparent;
  border-top-color: transparent;
  position: absolute;
  top: 50%;
  left: -16px;
  margin-top: -8px;
}

.player-info.thinking img {
  -webkit-animation: pulsing 1s alternate infinite;
  -moz-animation: pulsing 1s alternate infinite;
  animation: pulsing 1s alternate infinite;
}

.win-score-label {
  position: absolute;
  top: 53%;
  margin-top: 80px;
  width: 100%;
  text-align: center;
  font-weight: 700;
  color: #fff;
  font-size: 1.1em;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.8);
}

@-webkit-keyframes pulsing {
  from {
    -webkit-filter: drop-shadow(0 0 10px #7fe4f7);
    filter: drop-shadow(0 0 10px #7fe4f7);
  }

  to {
    -webkit-filter: drop-shadow(0 0 1px #7fe4f7);
    filter: drop-shadow(0 0 1px #7fe4f7);
  }
}

@-moz-keyframes pulsing {
  from {
    filter: drop-shadow(0 0 10px #7fe4f7);
  }

  to {
    filter: drop-shadow(0 0 1px #7fe4f7);
  }
}

@keyframes pulsing {
  from {
    -webkit-filter: drop-shadow(0 0 10px #7fe4f7);
    filter: drop-shadow(0 0 10px #7fe4f7);
  }

  to {
    -webkit-filter: drop-shadow(0 0 1px #7fe4f7);
    filter: drop-shadow(0 0 1px #7fe4f7);
  }
}

.splash {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: #22903b;
  text-align: center;
  z-index: 1000;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -moz-box-orient: vertical;
  -moz-box-direction: normal;
  flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -moz-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -moz-box-pack: center;
  justify-content: center;
}

.splash--logo {
  width: 450px;
  max-width: 95%;
  background: url(../assets/images/splash.png);
  background-position: center 70%;
  background-repeat: no-repeat;
  background-size: cover;
  display: inline-block;
  position: relative;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  backface-visibility: hidden;
}

.splash--logo:before {
  content: "";
  display: block;
  padding-top: 60%;
}

.splash--preload-bar {
  width: 240px;
  padding: 4px;
  background: rgba(25, 25, 25, 0.5);
  display: inline-block;
}

.splash--progress {
  padding: 12px;
  width: 0%;
  background: #fff;
  -webkit-transition: width 0.3s ease-in;
  -moz-transition: width 0.3s ease-in;
  transition: width 0.3s ease-in;
}

.preloader {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.4);
  color: #fff;
  font-size: 30px;
  text-align: center;
  display: none;
}

.preloader:before {
  content: "";
  display: block;
  height: 40%;
}

.preloader span {
  display: inline-block;
  -webkit-animation: movement 1.2s ease-out 0.1s infinite;
  -moz-animation: movement 1.2s ease-out 0.1s infinite;
  animation: movement 1.2s ease-out 0.1s infinite;
}

.preloader span:nth-child(2) {
  -webkit-animation-delay: 0.2s;
  -moz-animation-delay: 0.2s;
  animation-delay: 0.2s;
}

.preloader span:nth-child(3) {
  -webkit-animation-delay: 0.3s;
  -moz-animation-delay: 0.3s;
  animation-delay: 0.3s;
}

.preloader span:nth-child(4) {
  -webkit-animation-delay: 0.4s;
  -moz-animation-delay: 0.4s;
  animation-delay: 0.4s;
}

.preloader span:nth-child(5) {
  -webkit-animation-delay: 0.5s;
  -moz-animation-delay: 0.5s;
  animation-delay: 0.5s;
}

@-webkit-keyframes movement {
  0% {
    opacity: 0.3;
  }

  15% {
    opacity: 0.9;
  }

  100% {
    opacity: 0.3;
  }
}

@-moz-keyframes movement {
  0% {
    opacity: 0.3;
  }

  15% {
    opacity: 0.9;
  }

  100% {
    opacity: 0.3;
  }
}

@keyframes movement {
  0% {
    opacity: 0.3;
  }

  15% {
    opacity: 0.9;
  }

  100% {
    opacity: 0.3;
  }
}

.counters {
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: flex;
  position: absolute;
  width: 600px;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -moz-box-pack: justify;
  justify-content: space-between;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  transition: all 0.5s;
  margin-top: -75px;
  pointer-events: none;
}

.counters.cpu {
  margin-top: 5px;
}

.counter {
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -moz-box-orient: vertical;
  -moz-box-direction: normal;
  flex-direction: column;
  bottom: 120px;
  background: rgba(0, 0, 0, 0.6);
  padding: 2px;
  -webkit-box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
  -moz-border-radius: 2px;
  border-radius: 2px;
  height: 60px;
}

.counter.empty {
  visibility: hidden;
}

.counter--title {
  text-align: center;
  padding: 2px;
  color: #fff;
  font-weight: 700;
}

.counter--card {
  background: #fff;
  padding: 2px 3px;
  display: inline-block;
  font-size: 12px;
  width: 22px;
  text-align: center;
  line-height: 1em;
  -moz-border-radius: 2px;
  border-radius: 2px;
  font-weight: 700;
  margin-left: 1px;
}

.counter--card:nth-child(1) {
  margin-left: 0;
}

.counter--meld {
  margin-left: 5px;
}

.counter--meld:nth-child(1) {
  margin-left: 0;
}

.counter--card.diamond,
.counter--card.heart {
  color: #bf000d;
}

.counter--card-rank {
  display: block;
}

.counter--card-suit svg {
  width: 14px;
  margin-top: 1px;
}

.counter--cards-wrapper {
  text-align: center;
}

@media screen and (max-width: 600px) {
  .counters {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -moz-box-orient: vertical;
    -moz-box-direction: normal;
    flex-direction: column;
    margin-top: -140px;
  }

  .counters .counter:nth-child(1) {
    margin-bottom: 5px;
  }

  .counter--meld {
    margin-left: 1px;
  }
}

#end-message {
  position: absolute;
  font-size: 4em;
  height: 80px;
  line-height: 80px;
  text-align: center;
  top: 50%;
  left: 0;
  right: 0;
  margin-top: -40px;
  font-family: Impact, -apple-system, "Helvetica Neue", Roboto, "Segoe UI",
    sans-serif;
  z-index: 10000;
  color: #fff;
  text-shadow: 0 1px 1px #bbb, 0 2px 0 #999, 0 3px 0 #888, 0 4px 0 #777,
    0 5px 0 #666, 0 6px 0 #555, 0 7px 0 #444, 0 8px 0 #333, 0 9px 7px #302314;
  -webkit-transform: scale3d(0, 0, 0);
  -moz-transform: scale3d(0, 0, 0);
  transform: scale3d(0, 0, 0);
}

#end-message.show {
  -webkit-transform: scale3d(1, 1, 1);
  -moz-transform: scale3d(1, 1, 1);
  transform: scale3d(1, 1, 1);
  -webkit-transition: -webkit-transform 4s;
  transition: -webkit-transform 4s;
  -moz-transition: transform 4s, -moz-transform 4s;
  transition: transform 4s;
  transition: transform 4s, -webkit-transform 4s, -moz-transform 4s;
}

.platform-edge #end-message.show {
  -webkit-transform: scale3d(1, 1, 1) rotate(0.02deg);
  -moz-transform: scale3d(1, 1, 1) rotate(0.02deg);
  transform: scale3d(1, 1, 1) rotate(0.02deg);
}

@media screen and (max-width: 761px) {
  #end-message {
    font-size: 50px;
  }
}

@media screen and (max-width: 500px) {
  #end-message {
    font-size: 40px;
  }
}

@media screen and (max-width: 400px) {
  #end-message {
    font-size: 35px;
  }
}

.win-score-selector .alert-message {
  overflow: auto;
  padding-bottom: 10px !important;
}

.win-score-selector .toggle-group {
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: flex;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -moz-box-pack: justify;
  justify-content: space-between;
}

.win-score-selector .toggle-wrapper {
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -moz-box-orient: vertical;
  -moz-box-direction: normal;
  flex-direction: column;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -moz-box-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -moz-box-align: center;
  align-items: center;
  gap: 5px;
  cursor: pointer;
}

.win-score-selector .toggle-wrapper label {
  font-weight: 600;
}

.win-score-selector input[type="radio"] {
  display: inline-block;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 36px;
  height: 14px;
  background: #dedede;
  position: relative;
  -moz-border-radius: 14px;
  border-radius: 14px;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
  outline: 0;
  cursor: pointer;
  margin: 0;
}

.win-score-selector input[type="radio"]:after {
  content: "";
  display: inline-block;
  position: absolute;
  width: 20px;
  height: 20px;
  background: #fff;
  top: -3px;
  left: 0;
  -moz-border-radius: 50%;
  border-radius: 50%;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
  -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14),
    0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2),
    0 1px 5px 0 rgba(0, 0, 0, 0.12);
}

.win-score-selector input[type="radio"]:checked {
  background: #c8dcff;
}

.win-score-selector input[type="radio"]:checked:after {
  -webkit-transform: translate3d(16px, 0, 0);
  -moz-transform: translate3d(16px, 0, 0);
  transform: translate3d(16px, 0, 0);
  background: #488aff;
}

body,
html {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: #fff;
  font-family: Helvetica, Arial, sans-serif;
  background-size: 100vw 100vh;
}

html #game-content {
  background-size: 100vw 100vh;
  background-position: -200px 0;
}

canvas {
  position: absolute;
}

.app-wrapper {
  position: relative;
  height: 100%;
  margin-left: 200px;
  overflow: hidden;
}

.game-area {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  -webkit-perspective: 8000px;
  -moz-perspective: 8000px;
  perspective: 8000px;
  background-size: cover;
  background-repeat: no-repeat;
}

page-home .scroll-content {
  overflow: hidden;
}

.about .scroll-content,
.activate .scroll-content,
.help .scroll-content,
.options .scroll-content,
.rate-reminder .scroll-content,
.trial .scroll-content,
page-avatars .scroll-content {
  margin-top: 55px;
}

.rate-reminder button {
  margin-bottom: 10px;
}

.rate-reminder div {
  font-size: 16px;
}

page-avatars .list-md {
  margin-bottom: 0;
}

@media screen and (max-width: 679px) {
  .app-wrapper {
    margin-left: 0;
  }
}

.trial .trial-body {
  padding-top: 185px;
  background: url(../assets/images/others/splash.png) no-repeat;
  background-position: center -60px;
  background-size: 315px;
  text-align: center;
  margin-top: 15px;
}

.trial .trial-body {
  background: url(../assets/images/others/gin-logo_300x300.png) center 2px
    no-repeat;
  background-size: 182px;
}

.trial .trial-body p {
  text-align: center;
  font-size: 16px;
  color: #333;
}

.trial-buttons {
  text-align: center;
  margin-top: 20px;
}

.trial-progress-bar {
  text-align: center;
  margin: 10px;
}

.trial-progress-bar span {
  display: inline-block;
  height: 22px;
  line-height: 22px;
  vertical-align: middle;
}

.trial-progress-wrapper {
  border: 1px solid #ddd;
  width: 200px;
  display: inline-block;
  vertical-align: middle;
  overflow: hidden;
  margin: 0 7px;
}

.trial-progress {
  padding: 10px 0;
  background: #2e8b57;
}

.trial a.button {
  margin-right: 4px;
}

.modal-wrapper .item-md .item-button {
  padding: 0 1em;
  height: 36px;
  font-size: 1.5rem;
}

.activate-modal .modal-wrapper,
.buy-modal .modal-wrapper,
.trial-modal .modal-wrapper {
  height: 420px;
  top: -webkit-calc(50% - (420px/2));
  top: -moz-calc(50% - (420px/2));
  top: calc(50% - (420px / 2));
}

.save-confirm.alert-md .alert-wrapper {
  width: 100%;
  max-width: 400px;
}

.save-confirm.alert-md .alert-wrapper {
  width: 100%;
  max-width: 400px;
}

.save-confirm.alert-md .alert-button-group {
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-direction: row;
  -moz-box-orient: horizontal;
  -moz-box-direction: normal;
  flex-direction: row;
}

.save-confirm.alert-md .alert-button-group button {
  width: 30%;
  text-align: center;
}

.save-confirm.alert-md .alert-button .button-inner {
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -moz-box-pack: center;
  justify-content: center;
}

.save-confirm .alert-message {
  overflow: hidden;
}

.save-confirm.alert-md .alert-button-group button:nth-child(3) {
  margin-right: auto;
}

.save-confirm.alert-md .alert-button-group button:nth-child(1) {
  background: #488aff;
  color: #fff;
}

.modal-wrapper a > img,
.modal-wrapper a[ion-button] > span {
  pointer-events: none;
}

.modal-wrapper a {
  display: inline-block;
}

.rate-modal ion-card-content {
  padding-top: 170px;
  background: url(../assets/images/others/gin-logo_300x300.png) center 10px
    no-repeat;
  background-size: 150px;
  line-height: 1.6em;
  font-size: 14px;
}

.rate-modal .center img {
  width: 150px;
}

@media only screen and (min-height: 600px) and (min-width: 768px) {
  .rate-modal .modal-wrapper {
    height: 590px;
    top: -webkit-calc(50% - (590px/2));
    top: -moz-calc(50% - (590px/2));
    top: calc(50% - (590px / 2));
  }
}

@media only screen and (min-width: 1000px) {
  .appearance-modal .modal-wrapper {
    width: 800px;
    left: -webkit-calc(50% - (800px/2));
    left: -moz-calc(50% - (800px/2));
    left: calc(50% - (800px / 2));
  }
}

@media (min-width: 1160px) {
  body .image-maker-modal .modal-wrapper {
    width: 800px;
    height: 600px;
    left: -webkit-calc(50% - (800px/2));
    left: -moz-calc(50% - (800px/2));
    left: calc(50% - (800px / 2));
    top: -webkit-calc(50% - (600px/2));
    top: -moz-calc(50% - (600px/2));
    top: calc(50% - (600px / 2));
  }
}

@media (min-width: 1400px) {
  body .image-maker-modal .modal-wrapper {
    width: 960px;
    height: 700px;
    left: -webkit-calc(50% - (960px/2));
    left: -moz-calc(50% - (960px/2));
    left: calc(50% - (960px / 2));
    top: -webkit-calc(50% - (700px/2));
    top: -moz-calc(50% - (700px/2));
    top: calc(50% - (700px / 2));
  }
}

@media screen and (max-width: 679px) {
  html #game-content {
    background-position: 0 0;
  }
}
